<?php
// no direct access
defined('_JEXEC') or die('Restricted access');

$path = JURI::base()."modules/mod_catgallery/";
$imgpath = JURI::base().'media/com_hikashop/upload/';

$document =& JFactory::getDocument();
$document->addScript($path."js/contentslider.js");
$document->addStyleSheet($path."contentslider.css");
$document->addStyleSheet($path."handheld.css",$type='text/css',$media='handheld');

$db 	=& JFactory::getDBO();

$query = 'SELECT a.category_id, a.category_name, a.category_description, b.file_path FROM #__hikashop_category AS a, #__hikashop_file AS b where a.category_id = b.file_ref_id and b.file_type = "category" and a.category_type = "product" and a.category_depth = 2 and a.category_published = 1 order by a.category_ordering, b.file_ref_id LIMIT 4 ';

$db->setQuery( $query );
$catlist = $db->loadObjectList();
?>
<div class="banneraea">
	<div class="bannertop">&nbsp;</div>
    <div class="bannercont">
    	<div class="tabcontent">    
          <div id="slider1" class="sliderwrapper">
            <?php
				if(sizeof($catlist))
				{
					
				  $guidelink     = $params->get('guide', true);	
				  $clientlink     = $params->get('clientcare', true);
				  $reviewslink     = $params->get('review', true);
				  $thumbh     = $params->get('thumbh', true);
				  $bigimgh     = $params->get('bigimgh', true);
				  				  						 
				  $sqlitemid = "SELECT id FROM ".$db->nameQuote( '#__menu') ." WHERE link LIKE '%com_hikashop&view=product&layout=listing%'";
				  $db->setQuery( $sqlitemid);
				  $itemid = $db->loadResult();				  
				  
				  foreach ($catlist as $cat)
				  {
				  $catlink = JURI::base()."index.php?option=com_hikashop&view=product&layout=listing&cid=".$cat->category_id."&Itemid=".$itemid;
			?>
            	<div class="contentdiv">
				<div class="catimg"><a href="<?php echo $catlink; ?>"><img src="<?php echo $imgpath.$cat->file_path; ?>" alt="<?php echo $cat->category_name; ?>" height="<?php echo $bigimgh; ?>"   /></a></div>
                 <div class="catdesc">
                 <div class="shortinfo">
                 	<h2><?php echo $cat->category_name; ?></h2>
                    <p><?php echo substr($cat->category_description, 0 , 200); ?> ...</p>
                    <p><a class="readon" href="<?php echo $catlink; ?>">Read more</a></p>
                 </div>
                 <div class="linkbuttons">
                 	<ul>                    	         
                          <li><a href="<?php echo $catlink; ?>"><span>Shop Online</span></a></li>
                          <li><a href="<?php echo $guidelink; ?>"><span>Product Guide</span></a></li>
                          <li><a href="<?php echo $clientlink; ?>"><span>Client Care</span></a></li>
                          <li><a href="<?php echo $reviewslink; ?>"><span>Contact Us</span></a></li>
                    </ul> 
                 </div>
                </div>
                
            </div>
            <?php
					}
				}
			?>                                      
          </div>   
          <!-- slider pagination -->
          <div id="paginate-slider1">
            <div class="pagination">
            <?php
				if(sizeof($catlist))
				{
					$thumbpath = $imgpath.'thumbnail/';
					foreach ($catlist as $cat)
					{
			?>
            		<a href="#" class="toc"><img src="<?php echo $thumbpath.$cat->file_path; ?>" alt="" height="<?php echo $thumbh; ?>"   /></a>
            <?php
					}
				}
			?>
            </div>
          </div>
        </div>
	</div>
    <div class="bannerbtm">&nbsp;</div>
</div>
<script type="text/javascript">

featuredcontentslider.init({
	id: "slider1",  //id of main slider DIV
	contentsource: ["inline", ""],  //Valid values: ["inline", ""] or ["ajax", "path_to_file"]
	toc: "markup",  //Valid values: "#increment", "markup", ["label1", "label2", etc]
	nextprev: ["<", ">"],  //labels for "prev" and "next" links. Set to "" to hide.
	revealtype: "click", //Behavior of pagination links to reveal the slides: "click" or "mouseover"
	enablefade: [true, 0.2],  //[true/false, fadedegree]
	autorotate: [true, 10000],  //[true/false, pausetime]
	onChange: function(previndex, curindex){  //event handler fired whenever script changes slide
		//previndex holds index of last slide viewed b4 current (1=1st slide, 2nd=2nd etc)
		//curindex holds index of currently shown slide (1=1st slide, 2nd=2nd etc)
	}
})

</script>  
